<?php defined('ABSPATH') || die;
/**
 * Afra Data SpeedUp  Wordpress Dashboard IR Host
 *
 * @author            Afra Data Co
 * @copyright         Afra Data Co
 * @license           Afra Data Co
 *
 * @wordpress-plugin
 *
 * Plugin Name:         رفع کندی وردپرس به دلیل محدودیت اینترنت
 * Plugin URI:          https://afradata.net
 * Description:         افزونه ای جهت افزایش سرعت داشبورد وردپرس در هاست‌های ایرانی
 * Version:             1.0.0
 * Requires at least:   5.0
 * Requires PHP:        7.2
 * Author:              Afra Data
 * Author URI:          https://afradata.net
 * License:             Afra Data License
 * License URI:         https://afradata.net
 * Text Domain:         afradata
 * Domain Path:         /languages
 */



function rtlTextHasString($text, $string) {
	return strpos($text, $string) !== false;
}


function rtlBlockExternalHostRequests ($false, $parsed_args, $url) {
	$blockedHosts = [
		'elementor.com',
		'github.com',
		'yoast.com',
		'yoa.st',
		'api.wordpress.org',
		'w.org',
		'unyson.io',
		'siteorigin.com',
		'woocommerce.com'
	];

	foreach ( $blockedHosts as $host ) {
		if ( !empty($host) && rtlTextHasString($url, $host) ) {
			return [
				'headers'  => '',
				'body'     => '',
				'response' => '',
				'cookies'  => '',
				'filename' => ''
			];
		}
	}

	return $false;
}
add_filter('pre_http_request', 'rtlBlockExternalHostRequests', 10, 3);